export var MathEngine;
(function (MathEngine) {
    MathEngine[MathEngine["MathJax2"] = 0] = "MathJax2";
    MathEngine[MathEngine["MathJax3"] = 1] = "MathJax3";
    MathEngine[MathEngine["Katex"] = 2] = "Katex";
})(MathEngine || (MathEngine = {}));
export const defaultConfig = {
    [MathEngine.MathJax2]: {
        entryScript: 'https://mathjax.cnblogs.com/2_7_5/MathJax.js?config=TeX-AMS_CHTML&delayStartupUntil=configured&v=20200504',
        document: window.document,
        engine: MathEngine.MathJax2,
        isEnabled: true,
    },
    [MathEngine.MathJax3]: {
        entryScript: 'https://mathjax.cnblogs.com/3_2_1/es5/tex-mml-chtml.js',
        document: window.document,
        engine: MathEngine.MathJax3,
        isEnabled: true,
    },
    [MathEngine.Katex]: {
        entryScript: 'https://assets.cnblogs.com/katex/0.16.21/katex.min.js',
        document: window.document,
        engine: MathEngine.Katex,
        isEnabled: true
    }
};
//# sourceMappingURL=model.js.map